# Proposed changes

Please provide a clear and concise description of the new feature, improvement, or bug fix that the changes address.

If there is a corresponding issue, please reference the issue number using `#`.

## Type of change

Select the appropriate type of change (choose one option):

- [ ] Feature
- [ ] Improvement
- [ ] Bug fix

## Checklist

Before submitting the changes, make sure to complete the following checklist:

- [ ] I have read and followed the [Contributing Guide](https://jupyterhub-ai-gateway.readthedocs.io/en/stable/contributing.html) document.
- [ ] I have executed `pre-commit run --all-files` to format the source code or have installed pre-commit and configured it correctly before committing any changes.
- [ ] I have included tests that demonstrate the effectiveness of the new feature, improvement, or bug fix.
